#nvpl_fft-config.cmake
#
# Imported interface targets provided:
#  nvpl::fftw - fftw shared library target
#

set(nvpl_fft_VERSION "0.1.0")
# build: 1483


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was nvpl_fft-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set_and_check(nvpl_fft_INCLUDE_DIR  "${PACKAGE_PREFIX_DIR}/include")
set_and_check(nvpl_fft_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")

include("${CMAKE_CURRENT_LIST_DIR}/nvpl_fft-targets.cmake")

set_target_properties(nvpl_fftw PROPERTIES IMPORTED_GLOBAL 1)
add_library(nvpl::fftw ALIAS nvpl_fftw)

get_target_property(nvpl_fft_BUILD_TYPES nvpl_fftw IMPORTED_CONFIGURATIONS)
get_target_property(nvpl_fft_LOCATION nvpl_fftw LOCATION)
get_filename_component(nvpl_fft_LOCATION ${nvpl_fft_LOCATION} DIRECTORY)
get_filename_component(nvpl_fft_LOCATION ${nvpl_fft_LOCATION}/.. REALPATH)

check_required_components(nvpl_fft)
message(STATUS "Found nvpl_fft: (Location: ${nvpl_fft_LOCATION} Version: 0.1.0)")
